IANA Private Enterprise Numbers
LSI Logic
{1 3 6 1 4 1 3582}
Descriptions may differ between sources. The primary description is shown first.
LSI Logic
This MIB defines the high level nodes for LSI switch MIBs. It maintains the high level portion of the LSI switch OID tree, and is imported by all LSI switch MIBs. Copyright (c) 2010 LSI Corporation.
Status in source: unspecified.
{
"contact": "Ken Wisniewski",
"organization": "LSI Logic",
"email_as_published": "kenw&lsil.com"
}Downloaded: 2026-10-24T04:19:29.314233+00:00.
Status in source: unspecified.
Names: lsiSwitchRegModule
{
"smi_kind": "MODULE-IDENTITY",
"definition": [
"lsiSwitchRegModule",
"MODULE-IDENTITY",
"LAST-UPDATED",
[
"literal",
"223230313030353132303030305a22"
],
"ORGANIZATION",
"\"LSI, Corp.\"",
"CONTACT-INFO",
"\"Customer Technical Support LSI Corporation Web: www.lsi.com\"",
"DESCRIPTION",
"\"This MIB defines the high level nodes for LSI switch MIBs. It maintains the high level portion of the LSI switch OID tree, and is imported by all LSI switch MIBs. Copyright (c) 2010 LSI Corporation.\"",
"REVISION",
[
"literal",
"223230313030353132303030305a22"
],
"DESCRIPTION",
"\"Initial revision\"",
"::=",
"{",
"enterprises",
"3582",
"}"
],
"syntax_tree": [
[
"LAST-UPDATED",
"201005120000Z"
],
[
"ORGANIZATION",
"LSI, Corp."
],
[
"CONTACT-INFO",
"Customer Technical Support LSI Corporation Web: www.lsi.com"
],
[
"DESCRIPTION",
"This MIB defines the high level nodes for LSI switch MIBs. It maintains the high level portion of the LSI switch OID tree, and is imported by all LSI switch MIBs. Copyright (c) 2010 LSI Corporation."
],
[
"Revisions",
[
[
"201005120000Z",
[
"DESCRIPTION",
"Initial revision"
]
]
]
]
]
}Module: LSI-SAS6160-MIB
lsiSwitchRegModule MODULE-IDENTITY
LAST-UPDATED "201005120000Z"
ORGANIZATION "LSI, Corp."
CONTACT-INFO "Customer Technical Support
LSI Corporation
Web: www.lsi.com"
DESCRIPTION "This MIB defines the high level nodes for LSI switch MIBs.
It maintains the high level portion of the LSI switch OID
tree, and is imported by all LSI switch MIBs.
Copyright (c) 2010 LSI Corporation."
REVISION "201005120000Z" -- 12 MAY 2010
DESCRIPTION "Initial revision"
::= {enterprises 3582}{'SNMPv2-TC': ['DisplayString', 'DateAndTime'], 'SNMPv2-SMI': ['MODULE-IDENTITY', 'OBJECT-IDENTITY', 'OBJECT-TYPE', 'NOTIFICATION-TYPE', 'Unsigned32'], 'RFC1213-MIB': ['system'], 'LSI-TEXTUAL-CONVENTION-MIB': ['lsiTcModule', 'SasAddress']}Source data warning: The published LSI SAS6160 MIB uses enterprises without importing it. This qualified interpretation uses the standard enterprise root from RFC 1155, while the original MIB defines enterprise 3582. Fujitsu distributes this LSI copy; applicability to a particular device or firmware is unconfirmed. Its imported LSI textual conventions are not present in the package and their type semantics were not independently verified. The MIB and source package are available for verification.
· Download LSI SAS6160 MIB — saved edition 1Related source files and packages:
The published LSI SAS6160 MIB uses enterprises without importing it. This qualified interpretation uses the standard enterprise root from RFC 1155, while the original MIB defines enterprise 3582. Fujitsu distributes this LSI copy; applicability to a particular device or firmware is unconfirmed. Its imported LSI textual conventions are not present in the package and their type semantics were not independently verified. The MIB and source package are available for verification.; Publisher path: prim_supportcd/SVSSoftware/Software/ServerView/MIBs/SNMPMIBs.zip; 30,286 bytes
Downloaded: 2026-11-03T07:10:57.991843+00:00.
Status in source: unspecified.
Names: perc
{
"smi_kind": "OBJECT IDENTIFIER",
"definition": [
"perc",
"OBJECT",
"IDENTIFIER",
"::=",
"{",
"enterprises",
"3582",
"}"
]
}Module: RAID-Adapter-MIB
perc OBJECT IDENTIFIER ::= { enterprises 3582 }{'RFC-1212': ['OBJECT-TYPE'], 'RFC1155-SMI': ['enterprises', 'Counter'], 'RFC1213-MIB': ['DisplayString']}Archived: 2026-10-19T00:22:08.972344+00:00.
Source file: Download MEGARAID.MIB.txt
File: lsi/MEGARAID.MIB.txt; 60,588 bytes
lsi OBJECT IDENTIFIER ::= { enterprises 3582 }
Source file: Download ServerView MIB copy — LSIRAID-IDE.MIB (saved edition 1) · Publisher's file
Module LSIRAID-IDE-MIB; IANA enterprise number(s) 3582. MIB copy distributed by Fujitsu in its ServerView package. The original vendor distribution and applicability to a particular device or firmware have not been independently confirmed; consult the named file and IANA enterprise registration.; Publisher path: prim_supportcd/SVSSoftware/Software/ServerView/MIBs/SNMPMIBs.zip; 30,545 bytes
Related source files and packages:
Source data warning: MIB copy distributed by Fujitsu in its ServerView package. The original vendor distribution and applicability to a particular device or firmware have not been independently confirmed; consult the named file and IANA enterprise registration.
Source file: Download ServerView MIB copy — LSI1030.MIB (saved edition 1) · Publisher's file
Module Adapter-1030-MIB; IANA enterprise number(s) 3582. MIB copy distributed by Fujitsu in its ServerView package. The original vendor distribution and applicability to a particular device or firmware have not been independently confirmed; consult the named file and IANA enterprise registration.; Publisher path: prim_supportcd/SVSSoftware/Software/ServerView/MIBs/SNMPMIBs.zip; 33,729 bytes
Source file: Download LSI-MegaRAID-SAS-MIB · Publisher's file
Copy from LibreNMS; 225,807 bytes
Vendor MIB copy from the LibreNMS archive.
Related source files and packages:
Source file: Download LSI-MegaRAID-SAS-MIB · Publisher's file
Copy from Observium Community; File: lsi/LSI-MegaRAID-SAS-MIB; 225,807 bytes
Vendor MIB copy from the Observium Community archive.
Related source files and packages:
Source file: Download LSI-megaRAID-SAS-IR-MIB · Publisher's file
Copy from Observium Community; File: lsi/LSI-megaRAID-SAS-IR-MIB; 165,032 bytes
Vendor MIB copy from the Observium Community archive.
Source file: Download RAID-Adapter-MIB.mib
Publisher path: Mibs; 60,628 bytes
lsi OBJECT IDENTIFIER ::= { enterprises 3582 }
| OID | Name | Direct children | Descendants | Description |
|---|---|---|---|---|
| 1.3.6.1.4.1.3582.1 | percRAID, megaRaid | 1 | 220 | |
| 1.3.6.1.4.1.3582.2 | lsiRAID | 1 | 92 | |
| 1.3.6.1.4.1.3582.3 | megaIDE | 1 | 85 | |
| 1.3.6.1.4.1.3582.4 | storageComponents | 1 | 623 | |
| 1.3.6.1.4.1.3582.5 | lsiStorageComponents | 1 | 471 | |
| 1.3.6.1.4.1.3582.200 | lsiSwitchFamily | 1 | 77 |
| OID | Name | Direct children | Descendants | Description |
|---|---|---|---|---|
| 1.3.6.1.4.1.17151 | 17151 | 0 | 0 | COGNICA Ltd |
| 1.3.6.1.4.1.17152 | 17152 | 0 | 0 | creamen |
| 1.3.6.1.4.1.17153 | 17153 | 0 | 0 | University of Connecticut |
| 1.3.6.1.4.1.17154 | 17154 | 0 | 0 | Kittredge Archery Co. Inc. |
| 1.3.6.1.4.1.17155 | 17155 | 0 | 0 | Vantrix Corporation (formerly: VoiceAge Corporation) |
| 1.3.6.1.4.1.17156 | 17156 | 0 | 0 | Zone Labs, Inc |
| 1.3.6.1.4.1.17157 | 17157 | 0 | 0 | Chengdu Runwang Tchnology Co. LTD |
| 1.3.6.1.4.1.17158 | 17158 | 0 | 0 | Laurasia Computing |
| 1.3.6.1.4.1.17159 | 17159 | 0 | 0 | Henri Maire SA |
| 1.3.6.1.4.1.17160 | 17160 | 0 | 0 | Lund University Hospital |
| 1.3.6.1.4.1.17161 | 17161 | 0 | 0 | Covisint LLC |
| 1.3.6.1.4.1.17162 | 17162 | 0 | 0 | Airversal Technology Inc |
| 1.3.6.1.4.1.17163 | rbt | 4 | 1188 | NBT Technology, Inc. |
| 1.3.6.1.4.1.17164 | 17164 | 0 | 0 | Callcast, Inc. |
| 1.3.6.1.4.1.17165 | 17165 | 0 | 0 | Advantest R&D Center, Inc. |
| 1.3.6.1.4.1.17166 | 17166 | 0 | 0 | Louisiana State University and A&M College |
| 1.3.6.1.4.1.17167 | 17167 | 0 | 0 | Daotec Ltd. |
| 1.3.6.1.4.1.17168 | 17168 | 0 | 0 | Century 21 Mike Bowman, Inc. |
| 1.3.6.1.4.1.17169 | 17169 | 0 | 0 | Diablotin |
| 1.3.6.1.4.1.17170 | 17170 | 0 | 0 | Université Henri Poincaré - Nancy 1 - |
| 1.3.6.1.4.1.17171 | 17171 | 0 | 0 | Qindel |
| 1.3.6.1.4.1.17172 | 17172 | 0 | 0 | Melco International Development Ltd. |
| 1.3.6.1.4.1.17173 | 17173 | 0 | 0 | Squeeky Clean |
| 1.3.6.1.4.1.17174 | 17174 | 0 | 0 | Iridium Systems (Hangzhou) Limited |
| 1.3.6.1.4.1.17175 | 17175 | 0 | 0 | shanghai letel communications Co., Ltd |
| 1.3.6.1.4.1.17176 | 17176 | 0 | 0 | Perm State Pedagogical University |
| 1.3.6.1.4.1.17177 | 17177 | 0 | 0 | TIS Inc. |
| 1.3.6.1.4.1.17178 | 17178 | 0 | 0 | VERA Autonoom Provinciebedrijf |
| 1.3.6.1.4.1.17179 | 17179 | 0 | 0 | Diaz |
| 1.3.6.1.4.1.17180 | 17180 | 0 | 0 | Altibase |
| 1.3.6.1.4.1.17181 | 17181 | 0 | 0 | Dantek Computer Systems, Inc. |
| 1.3.6.1.4.1.17182 | 17182 | 0 | 0 | CCC Data Oy |
| 1.3.6.1.4.1.17183 | 17183 | 0 | 0 | Yang Mei Technology Co., LTD. |
| 1.3.6.1.4.1.17184 | 17184 | 0 | 0 | ProLAN |
| 1.3.6.1.4.1.17185 | 17185 | 0 | 0 | Richemont Group |
| 1.3.6.1.4.1.17186 | 17186 | 0 | 0 | MEDIA LINKS Co.,LTD. |
| 1.3.6.1.4.1.17187 | 17187 | 0 | 0 | Onaro Inc. |
| 1.3.6.1.4.1.17188 | 17188 | 0 | 0 | GigaClue |
| 1.3.6.1.4.1.17189 | 17189 | 0 | 0 | Ingrafted Software Inc. |
| 1.3.6.1.4.1.17190 | 17190 | 0 | 0 | Fulcrum Microsystems, Inc. |
| 1.3.6.1.4.1.17191 | 17191 | 0 | 0 | Facultad de Física. Universidad de La Laguna |
| 1.3.6.1.4.1.17192 | 17192 | 0 | 0 | Emprisa Networks |
| 1.3.6.1.4.1.17193 | 17193 | 0 | 0 | dbc Digital Broadcast Consulting GmbH |
| 1.3.6.1.4.1.17194 | 17194 | 0 | 0 | Whoopy Engineering Ltd. |
| 1.3.6.1.4.1.17195 | 17195 | 0 | 0 | Securesoft Systems, Inc. |
| 1.3.6.1.4.1.17196 | 17196 | 0 | 0 | CacheLogic Ltd. |
| 1.3.6.1.4.1.17197 | 17197 | 0 | 0 | Relicore, Inc. |
| 1.3.6.1.4.1.17198 | 17198 | 0 | 0 | martinskafte.dk |
| 1.3.6.1.4.1.17199 | 17199 | 0 | 0 | Ministry of Fisheries - NZ |
| 1.3.6.1.4.1.17200 | 17200 | 0 | 0 | Optus Internet Engineering |